[MASTER] software-center crashed with DatabaseError (Error reading block *: got end of file)

Bug #451555 reported by Dylan Taylor on 2009-10-14
482
This bug affects 68 people
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: software-center

I was browsing through the software store and it crashed. I'm filing a new bug because bug #438639 is marked as Fix Released, and I think I'm using the lastest version of the software store.

ProblemType: Crash
Architecture: i386
CheckboxSubmission: 060a7c86f0637c4ab3689dae9311a12c
CheckboxSystem: e0ccf4c605a3846e6e356cb4f0643aca
Date: Wed Oct 14 15:09:39 2009
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/share/software-center/software-center
InterpreterPath: /usr/bin/python2.6
Package: software-center 0.5.2
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/software-center
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.46-generic
PythonArgs: ['/usr/bin/software-center']
SourcePackage: software-center
Title: software-center crashed with DatabaseError in _database_gen_postlist_iter()
Uname: Linux 2.6.31-14-generic i686
UserGroups: adm admin cdrom dialout lpadmin netdev plugdev sambashare vboxusers video
XsessionErrors:
 (gnome-settings-daemon:2895): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (polkit-gnome-authentication-agent-1:3004): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (nautilus:2988): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (gnome-panel:2987): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -5 and height 24
 (gnome-panel:2987): Gdk-WARNING **: /build/buildd/gtk+2.0-2.18.2/gdk/x11/gdkdrawable-x11.c:952 drawable is not a pixmap or window

Dylan Taylor (dylanmtaylor) wrote :
visibility: private → public

This crash has the same stack trace characteristics as bug #438639. However, the latter was already fixed in an earlier package version than the one in this report. This might be a regression or because the problem is in a dependent package.

tags: removed: need-duplicate-check
tags: added: regression-retracer

Thanks for this bugreport

When did this happen? While software-center was open? When it got restarted? Does exit and reopen fix the problem?

Changed in software-center (Ubuntu):
status: New → Incomplete
Moshpet (moshpet01) wrote :

Happened to me after updating packages via Synaptic. (Had it open during the actions.)
Daily build 28 Mar Lucid, AMD64

Stefan Eike (stefan.eike) wrote :

I think it happens when you are upgrading your system while you are browsing through the software center.

William Grant (wgrant) wrote :

I had this happen on 20100406.1 i386 desktop. I'd clicked "Use This Source" then "Install" on Chromium B.S.U. No other package managers were active, TTBMK.

gunashekar (gunashekar) wrote :

yes it happens when upgrading your system while the software center was left open.

Martin Erik Werner (arand) wrote :

Happened after simply activating partner, and installing flash. software center itself seems unaffected.

This from the April 27th build LiveCD.

I'm marking this as confirmed.

Changed in software-center (Ubuntu):
status: Incomplete → Confirmed
tags: added: bugpattern-needed
Omer Akram (om26er) on 2010-12-16
Changed in software-center (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
Kiwinote (kiwinote) on 2011-08-07
summary: - software-center crashed with DatabaseError in
- _database_gen_postlist_iter()
+ [MASTER] software-center crashed with DatabaseError (Error reading block
+ *: got end of file)
Michael Vogt (mvo) wrote :

I suspect this one is fixed with the following change in oneiric:

software-center (4.1.23) oneiric; urgency=low
...
 * lp:~mvo/software-center/per-thread-xapiandb:
    - create per-thread xapian.Database objects to avoid race
      condition with multiple threads
...
 -- Michael Vogt <email address hidden> Thu, 15 Sep 2011 11:54:11 +0200

It would be interesting to check if there are any dupes of this after this date.

Michael Vogt (mvo) wrote :

After this version I should say instead of date.

Changed in software-center (Ubuntu):
status: Triaged → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for software-center (Ubuntu) because there has been no activity for 60 days.]

Changed in software-center (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.